## imcode.util.net
Class SMTP.Mail

    java.lang.Object
      imcode.util.net.SMTP.Mail

Enclosing class:
  SMTP

    public static class SMTP.Mail

extends java.lang.Object

Constructor Summary
`SMTP.Mail(java.lang.String fromAddress)`
`SMTP.Mail(java.lang.String fromAddress, java.lang.String[] toAddresses, java.lang.String subject, java.lang.String body)`

Method Summary
`void` `setAttachments(javax.activation.DataSource[] attachments)`
`void` `setBccAddresses(java.lang.String[] bccAddresses)`
`void` `setBody(java.lang.String body)`
`void` `setCcAddresses(java.lang.String[] ccAddresses)`
`void` `setHtmlBody(java.lang.String htmlBody)`
`void` `setSubject(java.lang.String subject)`
`void` `setToAddresses(java.lang.String[] toAddresses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMTP.Mail

    public SMTP.Mail(java.lang.String fromAddress)

### SMTP.Mail

    public SMTP.Mail(java.lang.String fromAddress,
                     java.lang.String[] toAddresses,
                     java.lang.String subject,
                     java.lang.String body)

Method Detail

### setBccAddresses

    public void setBccAddresses(java.lang.String[] bccAddresses)

### setBody

    public void setBody(java.lang.String body)

### setHtmlBody

    public void setHtmlBody(java.lang.String htmlBody)

### setCcAddresses

    public void setCcAddresses(java.lang.String[] ccAddresses)

### setSubject

    public void setSubject(java.lang.String subject)

### setToAddresses

    public void setToAddresses(java.lang.String[] toAddresses)

### setAttachments

    public void setAttachments(javax.activation.DataSource[] attachments)